/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2024 . All rights reserved.
 *
 */
package net.northking.cctp.executePlan.db.impl;

import net.northking.cctp.executePlan.db.dao.AtuPlanTaskRecordDao;
import net.northking.cctp.executePlan.db.service.AtuPlanTaskRecordService;
import net.northking.cctp.executePlan.db.entity.AtuPlanTaskRecord;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import net.northking.cctp.executePlan.dto.planTask.PlanTaskRecordDto;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 任务执行记录表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2024-10-16 17:02:48  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "AtuPlanTaskRecordServiceImpl")
public class AtuPlanTaskRecordServiceImpl extends PaginationService<AtuPlanTaskRecord> implements AtuPlanTaskRecordService {
    private static final Logger logger = LoggerFactory.getLogger(AtuPlanTaskRecordServiceImpl.class);

    private final AtuPlanTaskRecordDao atuPlanTaskRecordDao;

    public AtuPlanTaskRecordServiceImpl(AtuPlanTaskRecordDao atuPlanTaskRecordDao) {
        this.atuPlanTaskRecordDao = atuPlanTaskRecordDao;
    }

    public BasicDao<AtuPlanTaskRecord> getDao() {
        return atuPlanTaskRecordDao;
    }

    public AtuPlanTaskRecord createEntity() {
        return new AtuPlanTaskRecord();
    }

    @Override
    protected void beforeInsert(AtuPlanTaskRecord record) {

    }

    @Override
    protected void beforeUpdate(AtuPlanTaskRecord record) {

    }

    // ----      The End by Generator     ----//
    @Override
    public List<PlanTaskRecordDto> queryTotalTake(List<String> ids) {
       return atuPlanTaskRecordDao.queryTotalTake(ids);
    }


}

